###

###

###

###

###

    STRSTR(3)           Linux Programmer's Manual           STRSTR(3)

    NAME
           strstr - locate a substring

    SYNOPSIS
           #include <string.h>

           char *strstr(const char *haystack, const char *needle);

    DESCRIPTION
           The  strstr()  function  finds the first occurrence of the
           substring needle in the string haystack.  The  terminating
           `\0' characters are not compared.

    RETURN VALUE
           The  strstr()  function returns a pointer to the beginning
           of the substring, or NULL if the substring is not found.

### SEE ALSO

index, memchr, rindex, strchr, strpbrk, strsep, strspn, strtok,

###

    GNU                       April 12, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0